xdr_read_pages
Prev | SUN RPC subsystem | Next

## Name

xdr_read_pages — Ensure page-based XDR data to decode is aligned at current pointer position

## Synopsis

`void xdr_read_pages (` | struct xdr_stream * | xdr,
| unsigned int | len`)`;

## Arguments

`xdr`

  pointer to xdr_stream struct

`len`

  number of bytes of page data

## Description

Moves data beyond the current pointer position from the XDR head[] buffer into the page list. Any data that lies beyond current position + “len” bytes is moved into the XDR tail[].

Prev | Up | Next
xdr_inline_decode | Home | xdr_enter_page